<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="8dp"
    android:layout_marginBottom="8dp"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:orientation="horizontal">

        <TextView
            android:id="@+id/user"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_gravity="start|center"
            android:layout_weight="1"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Overline" />

        <TextView
            android:id="@+id/date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:gravity="center"
            android:textAppearance="@style/TextAppearance.MaterialComponents.Overline" />


    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:orientation="horizontal">

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_weight="0"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/image_view"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:scaleType="center"
                tools:ignore="ContentDescription" />

            <ProgressBar
                android:id="@+id/progress_bar"
                style="@style/CustomProgressBarHorizontal"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="bottom"
                android:indeterminate="false" />
        </FrameLayout>


        <TextView
            android:id="@+id/message_body"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginStart="8dp"
            android:layout_weight="1"
            android:gravity="start"
            android:textAlignment="viewStart"
            android:textAppearance="@style/TextAppearance.AppCompat.Small"
            android:textColor="?android:textColorPrimary" />

        <ImageView
            android:id="@+id/general_action"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:layout_margin="8dp"
            android:src="@drawable/dots"
            app:tint="?android:attr/textColorSecondary"
            tools:ignore="ContentDescription" />


    </LinearLayout>


</LinearLayout>

